@include font-face($text-nexa-light, $base-url, 'nexa-light', 'nexa-light');
@include font-face($text-nexa-regular, $base-url, 'nexa-regular', 'nexa-regular');
@include font-face($text-nexa-regular-italic, $base-url, 'nexa-regular-italic', 'nexa-regular-italic');
@include font-face($text-nexa-bold, $base-url, 'nexa-bold', 'nexa-bold');
@include font-face($text-nexa-xbold, $base-url, 'nexa-xbold', 'nexa-xbold');
@include font-face($text-nexa-bold-italic, $base-url, 'nexa-bold-italic', 'nexa-bold-italic');
@include font-face($text-nexa-black, $base-url, 'nexa-black', 'nexa-black');
@include font-face($text-nexa-heavy, $base-url, 'nexa-heavy', 'nexa-heavy');
@include font-face($text-nexa-book, $base-url, 'nexa-book', 'nexa-book');
@include font-face($text-font-awesome, $base-url, 'font-awesome', 'font-awesome');
@include font-face($text-font-icomoon, $base-url, 'icomoon', 'icomoon');
@include font-face($text-font-helveticaneue-medium, $base-url, 'helveticaneue-medium', 'helveticaneue-medium');
.fa {
    font-family: $font-family-font-awesome;
    font-style: normal;
}

.y-overflow {
    overflow-y: hidden;
}

.hidden {
    display: none!important;
}

#infscr-loading {
    width: auto!important;
    height: auto!important;
    overflow: auto!important;
}

#infscr-loading img {
    display: none!important;
}

.button {
    &.rounded {
        text-transform: uppercase;
        font-family: $font-family-nexa-black;
        padding: 0.8em 1.4em;
        font-size: 16px;
        outline: 0;
        border: 0;
        border-radius: 4px;
        line-height: 39px;
        @include breakpoint(xlarge only) {
            padding: 0.75em 1.4em;
            font-size: 15px;
        }
        @include breakpoint(large only) {
            padding: 0.75em 1.4em;
            font-size: 15px;
        }
        @include breakpoint(medium only) {
            padding: 0.75em 1.4em;
            font-size: 14px;
            line-height: 40px;
        }
        @include breakpoint(small only) {
            padding: 0.55em 1.4em;
            font-size: 14px;
            line-height: 40px;
        }
    }
    &.btn-orange {
        background: $white;
        color: $orange;
    }
    &.fill-orange {
        color: $white;
        background-color: $orange;
        // &:hover {
        //     background-color: #0084ad;
        // }
    }
}

.no-padding {
    padding: 0;
}

.row {
    &.full-width {
        max-width: $fullwidth;
    }
}

.right-rounded-arrow {
    background: $orange;
    height: 38px;
    width: 38px;
    display: inline-block;
    border-radius: 50%;
    vertical-align: middle;
    &:after {
        content: "";
        background: url('../images/icon-right-arrow.png');
        display: inline-block;
        width: 100%;
        height: 17px;
        margin: 10px;
        background-size: contain;
        background-repeat: no-repeat;
    }
}

.icon-search {
    font-family: $text-font-icomoon;
    color: $white;
    font-size: 26px;
    @include transition(all .2s ease-in-out);
    &.hover {
        color: #bdbdbd;
    }
    &:before {
        content: "\e8f7";
    }
}

.icon-down {
    position: absolute;
    top: 0;
    left: 50%;
    width: 24px;
    height: 24px;
    margin-left: -12px;
    border-left: 1px solid #fff;
    border-bottom: 1px solid #fff;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    -webkit-animation: sdb04 2s infinite;
    animation: sdb04 2s infinite;
    box-sizing: border-box;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    -webkit-animation: bouncedown 2s infinite;
    animation: bouncedown 2s infinite;
    @include breakpoint(small only) {
        width: 18px;
        height: 18px;
    }
}

.icon-play {
    font-family: $text-font-icomoon;
    color: $white;
    font-size: 83px;
    @include transition(all .2s ease-in-out);
    cursor: pointer;
    &:hover {
        color: #c3c3c3;
    }
    &:before {
        content: "\e389";
    }
}

.icon-circle {
    font-family: $text-font-icomoon;
    color: $gray4;
    font-size: 15px;
    @include transition(all .2s ease-in-out);
    cursor: pointer;
    width: 10px;
    display: inline-block;
    &:before {
        content: "\e2af";
    }
}

.bg-dark-blue {
    &:after {
        content: "";
        background: rgba(51, 62, 72, 0.7);
        display: inline-block;
        position: absolute;
        width: 100%;
        height: 100%;
    }
}

.bg-gray {
    &:after {
        content: "";
        background: rgba(80, 80, 80, 0.7);
        display: inline-block;
        position: absolute;
        width: 100%;
        height: 100%;
    }
}

.bg-orange {
    background: rgba(243, 138, 0, 0.7);
}

.dark-blue {
    color: rgba(51, 62, 72, 0.7);
}

.bg-silver {
    background: $silver4;
}

.bg-gray {
    background: rgba(51, 62, 72, 0.7);
}

.bg-skyblue {
    background: $skyblue;
}

.gray {
    color: rgba(80, 80, 80, 0.7);
}

.bg-darkblue {
    background: $dark-blue;
}

.button {
    &.btn-orange {
        &:hover {
            background-color: #0084ad;
        }
    }
}

.underline {
    text-decoration: none;
    position: relative;
    color: $white;
    &:after {
        content: '';
        position: absolute;
        bottom: -4px;
        left: 0;
        width: 0%;
        border-bottom: 1px solid $white;
        transition: 0.4s;
    }
    &:hover {
        &:after {
            width: 100%;
        }
    }
}

.img-round {
    &.small {
        img {
            width: 75px;
            height: 75px;
        }
    }
    img {
        border-radius: 50%;
    }
    &.border-gray {
        img {
            border: 2px solid #b7babe;
        }
    }
}

.row {
    &.width-1170 {
        max-width: 1170px;
    }
    &.width-940 {
        max-width: 940px;
        @include breakpoint(large only) {
            max-width: 845px;
        }
        @include breakpoint(medium only) {
            max-width: 668px;
        }
    }
    &.width-920 {
        max-width: 920px;
        @include breakpoint(large only) {
            max-width: 860px;
        }
        @include breakpoint(medium only) {
            max-width: 100%;
        }
        &.vflex {
            display: -ms-flexbox;
            display: flex;
            -ms-flex-wrap: wrap;
            flex-wrap: wrap;
        }
    }
    &.vlarge {
        @include breakpoint(xlarge only) {
            max-width: 1024px;
        }
        @include breakpoint(large only) {
            max-width: 930px;
        }
        &.vflex {
            display: -ms-flexbox;
            display: flex;
            -ms-flex-wrap: wrap;
            flex-wrap: wrap;
            @include breakpoint(large only) {
                max-width: 930px;
            }
        }
    }
}

.dflex {
    display: flex;
    flex-wrap: wrap;
}

.padding-10 {
    padding: 0 10px;
}
